Summary:	Myth TV UPnP library based upon GLib/GObject paradigm
Summary(pl.UTF-8):	Biblioteka Myth TV UPnP oparta na paradygmacie GLib/GObject
Name:		gmyth-upnp
Version:	0.7.1
Release:	10
License:	LGPL v2+
Group:		Libraries
Source0:	http://downloads.sourceforge.net/gmyth/%{name}-%{version}.tar.gz
# Source0-md5:	f569d565c9cb12d50e88d23a603c7fcb
Patch0:		libupnp-1.14.patch
URL:		http://gmyth.sourceforge.net/
BuildRequires:	autoconf >= 2.52
BuildRequires:	automake >= 1.6
BuildRequires:	glib2-devel >= 2.0
BuildRequires:	gmyth-devel >= 0.7.1
BuildRequires:	libtool
BuildRequires:	libupnp-devel
BuildRequires:	pkgconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Myth TV UPnP library based upon GLib/GObject paradigm.

%description -l pl.UTF-8
Biblioteka Myth TV UPnP oparta na paradygmacie GLib/GObject.

%package devel
Summary:	Header files for gmyth library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki gmyth
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	curl-devel
Requires:	glib2-devel >= 2.0
Requires:	libxml2-devel >= 2.0

%description devel
Header files for gmyth library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki gmyth.

%package static
Summary:	Static gmyth library
Summary(pl.UTF-8):	Statyczna biblioteka gmyth
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static gmyth library.

%description static -l pl.UTF-8
Statyczna biblioteka gmyth.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libgmythupnp.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog
%attr(755,root,root) %{_libdir}/libgmythupnp.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgmythupnp.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgmythupnp.so
%{_includedir}/gmyth-upnp
%{_pkgconfigdir}/gmyth-upnp.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libgmythupnp.a
%changelog
* Sat Oct 24 2020 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gmyth-upnp.git;a=log;h=master

* Sat Oct 24 2020 Jan Rękorajski <baggins@pld-linux.org> d9b7b2e
- fix building with libupnp 1.14
- rel 10

* Sun Aug 30 2020 Jan Palus <atler@pld-linux.org> 7d85f6d
- release 9 (by relup.sh)

* Thu Aug 27 2020 Jan Palus <atler@pld-linux.org> af35122
- switch to libupnp1.6

* Fri Apr 12 2019 Jakub Bogusz <qboosh@pld-linux.org> ae2d103
- drop .la file; release 8

* Fri Mar 15 2019 Jan Palus <atler@pld-linux.org> 514aa70
- release 7 (by relup.sh)

* Sun Jun 26 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 6a6ad8b
- release 6

* Sun May 08 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> cbd35c4
- release 5

* Sun Feb 27 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 5abb1b6
- release 4

* Fri Oct 22 2010 Caleb Maclennan <caleb@alerque.com> 363a666
- Rel 3

* Sat Sep 26 2009 Patryk Zawadzki <patrys@room-303.com> 9aa062c
- rel 2

* Wed Jul 23 2008 Patryk Zawadzki <patrys@room-303.com> 7b93313
- initial PLD release

